<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.MetadataDir Property
DatabaseEnvironment Class See Also Send Feedback

The path of directory to store the persistent metadata.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public string MetadataDir { get; }

Visual Basic (Declaration)

    Public ReadOnly Property MetadataDir As String

Visual C++

    public:
    property String^ MetadataDir {
    	String^ get ();
    }

# Remarks

By default, metadata is stored in the environment home directory. See Berkeley DB File Naming in the Programmer's Reference Guide for more information.

When used in a replicated application, the metadata directory must be the same location for all sites within a replication group.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace